> For the complete documentation index, see [llms.txt](https://developers.munzen.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.munzen.io/api-overview/aml-and-compliance-checks.md).

# AML & Compliance Checks

1. When receiving a deposit from a wallet identified as "bad" by our AML service, the funds will be "frozen," and the invoice or payment through the channel will be put in the `on_hold` status with the reason being a high-risk score (`high_risk_score`). A webhook with the event `deposit_on_hold` will be sent.
2. Munzen will conduct a manual review of these deposits and their corresponding source of funds. As a result, the deposits will be kept in a hold status for a reasonable period necessary for the manual review process. During this period, Munzen may request necessary information, data, and/or documents to facilitate the manual review. In all circumstances, Munzen will conduct its activities in strict accordance with the applicable laws and regulations.
3. If the source of funds from a "bad" wallet is confirmed to be "horrible", the transaction/wallet will be transferred by Munzen to the `rejected` status due to a high-risk score.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.munzen.io/api-overview/aml-and-compliance-checks.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
